Mailinglist Archive: opensuse-buildservice (175 mails)

< Previous Next >
Re: [opensuse-buildservice] Installing on Mandriva via OBS repo
  • From: Adrian Schröter <adrian@xxxxxxx>
  • Date: Thu, 13 Oct 2011 16:56:26 +0200
  • Message-id: <22368582.zkemr6FnVh@scherben>
Am Donnerstag, 13. Oktober 2011, 16:37:08 schrieb alexander barakin:
On Mon, Oct 18, 2010 at 12:06:07PM +0200, Peter Linnell wrote:
On 10/18/10 10:23 AM, Adrian Schröter wrote:
Am Montag, 18. Oktober 2010, 10:03:20 schrieb Frederic Crozat:
Le vendredi 15 octobre 2010 à 13:15 -0400, Nicholas Peterson a écrit :
Hi All,

I am trying to install my program on Mandriva but can't seem to
add
the OBS repository.

It seems that the command urpmi.addmedia doesn't work with the
normal RPM PM. Someone on IRC mentioned that I could specify a
different type for the repository in my OBS raw config to
automatically generate a urpmi compatible repo. What do I put as
the
type for my Mandriva repo to make it urpmi compatible?

For now, nothing, OBS doesn't support (yet) urpmi compatible
repository. You'll need to run "genhdlist2" on the directory
containing the packages.

Btw, my offer is still there, if someone can build "genhdlist2"
package (set) which also works on SUSE, we can add support for that
easily in OBS.>
Hi,

I would also like to support OBS providing native hdlists for OBS. I
started porting the necessary packages from Mandriva to openSUSE/SLE.

I got fairly far along, but a perl package perl-RPM4 will not compile
on
any recent flavor of *Suse. It also fail on Fedora/RH.

https://build.opensuse.org/package/live_build_log?arch=i586&package=perl
-RPM4&project=home%3Amrdocs&repository=openSUSE_11.2>
This is the blocker for me at the moment. Anyone with knowhow of perl
and/or rpm would probably be able to fix it.

Peter

i built the required packages:
http://kenobi.mandriva.com/~abarakin/perl-RPM4-0.23-1.src.rpm
http://kenobi.mandriva.com/~abarakin/perl-URPM-3.37.2-1.src.rpm

what else can i help?

For offering the hdlist support on build.opensuse.org we would need to have
these packages build for SLES 11 SP 1 (and in best case also for openSUSE so
that we include it in the OBS Appliance).

It would be great if you could build these packages and submit them to
openSUSE:Tools project.

thanks a lot
adrian

--
Adrian Schroeter
SUSE Linux Products GmbH
email: adrian@xxxxxxx
< Previous Next >
Follow Ups
References